Index: binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj
===================================================================
--- binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj	(revision 213)
+++ binary-improvements/7dtd-server-fixes/7dtd-server-fixes.csproj	(revision 224)
@@ -2,5 +2,5 @@
 <Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Configuration Condition=" '$(Configuration)' == '' ">Release</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
     <ProductVersion>10.0.0</ProductVersion>
@@ -12,18 +12,8 @@
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>..\bin\Debug</OutputPath>
-    <DefineConstants>DEBUG;</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <ConsolePause>false</ConsolePause>
-  </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
     <DebugType>none</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\bin\Release</OutputPath>
+    <OutputPath>..\bin\7DaysToDie_Data\Managed</OutputPath>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
@@ -33,5 +23,5 @@
     <DebugType>none</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\bin\Release</OutputPath>
+    <OutputPath>..\bin\7DaysToDie_Data\Managed</OutputPath>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
@@ -60,4 +50,7 @@
       <HintPath>..\7dtd-binaries\LogLibrary.dll</HintPath>
     </Reference>
+    <Reference Include="mscorlib">
+      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
+    </Reference>
     <Reference Include="Assembly-CSharp">
       <HintPath>..\7dtd-binaries\Assembly-CSharp.dll</HintPath>
@@ -67,25 +60,7 @@
     <Compile Include="src\AssemblyInfo.cs" />
     <Compile Include="src\AllocsLogFunctions.cs" />
-    <Compile Include="src\AdminToolsStuff.cs" />
     <Compile Include="src\PlayerDataStuff.cs" />
     <Compile Include="src\CommandExtensions.cs" />
     <Compile Include="src\CommonMappingFunctions.cs" />
-    <Compile Include="src\MapRendering\MapRendering.cs" />
-    <Compile Include="src\MapRendering\MapRenderBlockBuffer.cs" />
-    <Compile Include="src\MapRendering\Constants.cs" />
-    <Compile Include="src\CustomCommands\GetTime.cs" />
-    <Compile Include="src\CustomCommands\GetGamePrefs.cs" />
-    <Compile Include="src\CustomCommands\SayToPlayer.cs" />
-    <Compile Include="src\CustomCommands\SetTimeReal.cs" />
-    <Compile Include="src\CustomCommands\ShowInventory.cs" />
-    <Compile Include="src\CustomCommands\PrivateMassageConnections.cs" />
-    <Compile Include="src\CustomCommands\Reply.cs" />
-    <Compile Include="src\CustomCommands\Kill.cs" />
-    <Compile Include="src\CustomCommands\ListLandProtection.cs" />
-    <Compile Include="src\CustomCommands\RemoveLandProtection.cs" />
-    <Compile Include="src\CustomCommands\Version.cs" />
-    <Compile Include="src\CustomCommands\RenderMap.cs" />
-    <Compile Include="src\CustomCommands\Give.cs" />
-    <Compile Include="src\CustomCommands\ListItems.cs" />
     <Compile Include="src\NetConnections\ConsoleOutputSeparator.cs" />
     <Compile Include="src\NetConnections\NetTelnetServer.cs" />
@@ -94,10 +69,4 @@
     <Compile Include="src\NetConnections\Servers\Telnet\Telnet.cs" />
     <Compile Include="src\NetConnections\Servers\Telnet\TelnetConnection.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\Web.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\PathHandler.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\StaticHandler.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\SimpleRedirectHandler.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\MimeType.cs" />
-    <Compile Include="src\CustomCommands\EnableRendering.cs" />
     <Compile Include="src\PersistentData\PersistentContainer.cs" />
     <Compile Include="src\StateManager.cs" />
@@ -106,8 +75,4 @@
     <Compile Include="src\PersistentData\Players.cs" />
     <Compile Include="src\PersistentData\Player.cs" />
-    <Compile Include="src\CustomCommands\ListKnownPlayers.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\ApiHandler.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\API\GetPlayersOnline.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\API\WebAPI.cs" />
     <Compile Include="src\JSON\JSONNode.cs" />
     <Compile Include="src\JSON\JSONArray.cs" />
@@ -116,13 +81,8 @@
     <Compile Include="src\JSON\JSONString.cs" />
     <Compile Include="src\JSON\JSONBoolean.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\API\GetPlayersLocation.cs" />
-    <Compile Include="src\CustomCommands\TeleportPlayer.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\API\GetPlayerInventory.cs" />
-    <Compile Include="src\NetConnections\Servers\Web\API\GetLandClaims.cs" />
     <Compile Include="src\BlockingQueue.cs" />
     <Compile Include="src\JSON\Parser.cs" />
     <Compile Include="src\JSON\JSONNull.cs" />
     <Compile Include="src\JSON\MalformedJSONException.cs" />
-    <Compile Include="src\CustomCommands\Unban.cs" />
     <Compile Include="src\ItemList.cs" />
     <Compile Include="src\FileCache\AbstractCache.cs" />
@@ -130,18 +90,16 @@
     <Compile Include="src\FileCache\SimpleCache.cs" />
     <Compile Include="src\FileCache\MapTileCache.cs" />
-    <Compile Include="src\CustomCommands\webstat.cs" />
-    <Compile Include="src\CustomCommands\ListPlayerIds.cs" />
+    <Compile Include="src\Mods.cs" />
+    <Compile Include="src\ModAPI.cs" />
+    <Compile Include="src\Version.cs" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <ItemGroup>
     <Folder Include="src\" />
-    <Folder Include="src\MapRendering\" />
     <Folder Include="src\CustomCommands\" />
     <Folder Include="src\NetConnections\" />
     <Folder Include="src\NetConnections\Servers\" />
     <Folder Include="src\NetConnections\Servers\Telnet\" />
-    <Folder Include="src\NetConnections\Servers\Web\" />
     <Folder Include="src\PersistentData\" />
-    <Folder Include="src\NetConnections\Servers\Web\API\" />
     <Folder Include="src\JSON\Parser\" />
     <Folder Include="src\FileCache\" />
